<?php
$_SESSION['title']="Главная (стартовая страница)";
heads($headers_page, $set_ob_start);   //подключение шапки
//
if($user)include_once SYS."/navmenu.php";
// Общая информация
echo "<div class='c07'>Общая информация</div>";
echo "<div class='c03'>";
echo "Игроков: ".mysql_result(mysql_query("SELECT count(*) FROM `user`"),0)."<br />";
echo "Игроков на сайте: ".mysql_result(mysql_query("SELECT count(*) FROM `user` WHERE `uptime` >'".($s_time-300)."'"),0)."<br />";
$loc_count=mysql_result(mysql_query("SELECT count(*) FROM `location`"),0);
echo "Локаций в игре: ".$loc_count."<br />";
echo "Притаилось монстров: более ".($loc_count*rand(3,5))."<br />";
echo "Активных монстров: ".(mysql_result(mysql_query("SELECT count(*) FROM `monstr`"),0)+$loc_count)."<br />";
echo "Артефактов найдено: ".mysql_result(mysql_query("SELECT count(*) FROM `searsart`"),0)."<br />";
echo "Артефактов не найдено: ".($loc_count+rand(11,21))."<br />";
echo "Проведено боев: ".mysql_result(mysql_query("SELECT count(*) FROM `fight`"),0)."<br />";
echo "Активных боев: ".mysql_result(mysql_query("SELECT count(*) FROM `fight` WHERE `stop`='0'"),0)."<br />";

if(file_exists(H."/#dat/oldemission.dat")){echo "Последний выброс был: ".vremja(intval(file_get_contents(H."/#dat/oldemission.dat")))."<br />";}else{file_put_contents(H."/#dat/oldemission.dat",$s_time);}

echo "</div>";
if($user)
{
// проверка локации

/*/  DEBUG
  if($start)
  {
    foreach ($start as $k=>$v)
      {
        echo  $k." - ".$v."<br />";
      }
    foreach ($user as $k=>$v)
      {
        echo  $k." - ".$v."<br />";
      }
  }
/*/
}

?>
